aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-05-17 10:58:37 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2006-05-17 10:58:37 +0000
commitdba410f369b57b1919a343dab3e77b97243dffd7 (patch)
tree83fab4b5dad18fb2871733cfbfe1569baf3a71f1 /app-doc
parentagg-2.4: fixed virtual/x11 (diff)
downloadsci-dba410f369b57b1919a343dab3e77b97243dffd7.tar.gz
sci-dba410f369b57b1919a343dab3e77b97243dffd7.tar.bz2
sci-dba410f369b57b1919a343dab3e77b97243dffd7.zip
added blas-docs and lapack-docs
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@201 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'app-doc')
-rw-r--r--app-doc/blas-docs/ChangeLog11
-rw-r--r--app-doc/blas-docs/Manifest4
-rw-r--r--app-doc/blas-docs/blas-docs-3.0.ebuild24
-rw-r--r--app-doc/blas-docs/files/digest-blas-docs-3.03
-rw-r--r--app-doc/blas-docs/metadata.xml5
-rw-r--r--app-doc/lapack-docs/ChangeLog10
-rw-r--r--app-doc/lapack-docs/Manifest4
-rw-r--r--app-doc/lapack-docs/files/digest-lapack-docs-3.02
-rw-r--r--app-doc/lapack-docs/lapack-docs-3.0.ebuild33
-rw-r--r--app-doc/lapack-docs/metadata.xml5
10 files changed, 101 insertions, 0 deletions
diff --git a/app-doc/blas-docs/ChangeLog b/app-doc/blas-docs/ChangeLog
new file mode 100644
index 000000000..e3951fb4e
--- /dev/null
+++ b/app-doc/blas-docs/ChangeLog
@@ -0,0 +1,11 @@
+# ChangeLog for app-doc/blas-docs
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*blas-docs-3.0 (18 May 2006)
+
+ 18 May 2006; Sebastien Fabbro <seb@ist.utl.pt>
+ +metadata.xml, +blas-docs-3.0.ebuild:
+ New blas-docs packages containing man pages, ps quick ref guide and
+ full implementation report.
+
diff --git a/app-doc/blas-docs/Manifest b/app-doc/blas-docs/Manifest
new file mode 100644
index 000000000..6b5f1263c
--- /dev/null
+++ b/app-doc/blas-docs/Manifest
@@ -0,0 +1,4 @@
+MD5 e1e4c56d81c3f07cffc9f471f1ccbcbf ChangeLog 339
+MD5 ee3a0feab92d7c04277c70927a8745af blas-docs-3.0.ebuild 734
+MD5 eca5ec1262839892112c2784ccebad11 files/digest-blas-docs-3.0 171
+MD5 8c623e53daafa025137077c6b65815bd metadata.xml 156
diff --git a/app-doc/blas-docs/blas-docs-3.0.ebuild b/app-doc/blas-docs/blas-docs-3.0.ebuild
new file mode 100644
index 000000000..f61ae1bdd
--- /dev/null
+++ b/app-doc/blas-docs/blas-docs-3.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Documentation reference and man pages for blas implementations"
+HOMEPAGE="http://www.netlib.org/blas"
+SRC_URI="http://www.netlib.org/lapack/manpages.tgz
+http://www.netlib.org/blas/blasqr.ps
+http://www.netlib.org/blas/blast-forum/blas-report.ps"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S=${WORKDIR}
+
+src_install() {
+ # rename because doman do not yet understand manl files
+ rename .l .n blas/man/manl/* man/manl/{lsame,xerbla}.l
+ doman blas/man/manl/* \
+ man/manl/{lsame,xerbla}.* || die "doman failed"
+ dodoc README "${DISTDIR}"/blas{-report,qr}.ps || die "dodoc failed"
+}
diff --git a/app-doc/blas-docs/files/digest-blas-docs-3.0 b/app-doc/blas-docs/files/digest-blas-docs-3.0
new file mode 100644
index 000000000..e74cb5752
--- /dev/null
+++ b/app-doc/blas-docs/files/digest-blas-docs-3.0
@@ -0,0 +1,3 @@
+MD5 5c52653380ef078c336660770bda872e blas-report.ps 1874460
+MD5 6adfebfa654abf3aa1e4af4521a13286 blasqr.ps 235163
+MD5 50efab6cd73a9429584f7f1537f1727f manpages.tgz 721308
diff --git a/app-doc/blas-docs/metadata.xml b/app-doc/blas-docs/metadata.xml
new file mode 100644
index 000000000..b229aec85
--- /dev/null
+++ b/app-doc/blas-docs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+</pkgmetadata>
diff --git a/app-doc/lapack-docs/ChangeLog b/app-doc/lapack-docs/ChangeLog
new file mode 100644
index 000000000..0c2b055f1
--- /dev/null
+++ b/app-doc/lapack-docs/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for app-doc/lapack-docs
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*lapack-docs-3.0 (18 May 2006)
+
+ 18 May 2006; Sebastien Fabbro <seb@ist.utl.pt>
+ +metadata.xml, +lapack-docs-3.0.ebuild:
+ New lapack-docs packages containing man pages and ps quick ref guide.
+
diff --git a/app-doc/lapack-docs/Manifest b/app-doc/lapack-docs/Manifest
new file mode 100644
index 000000000..31886bf26
--- /dev/null
+++ b/app-doc/lapack-docs/Manifest
@@ -0,0 +1,4 @@
+MD5 43e932ffd10e66b55e6c0c585a85056e ChangeLog 316
+MD5 e46664c96de2810e411b3e22fb529dfb files/digest-lapack-docs-3.0 114
+MD5 776a1d7950d7347e4522b0f5777784bd lapack-docs-3.0.ebuild 867
+MD5 8c623e53daafa025137077c6b65815bd metadata.xml 156
diff --git a/app-doc/lapack-docs/files/digest-lapack-docs-3.0 b/app-doc/lapack-docs/files/digest-lapack-docs-3.0
new file mode 100644
index 000000000..f4c2eccfc
--- /dev/null
+++ b/app-doc/lapack-docs/files/digest-lapack-docs-3.0
@@ -0,0 +1,2 @@
+MD5 646eddca68804a13f94b3bcca8774f36 lapackqref.ps 72345
+MD5 50efab6cd73a9429584f7f1537f1727f manpages.tgz 721308
diff --git a/app-doc/lapack-docs/lapack-docs-3.0.ebuild b/app-doc/lapack-docs/lapack-docs-3.0.ebuild
new file mode 100644
index 000000000..6adf60a73
--- /dev/null
+++ b/app-doc/lapack-docs/lapack-docs-3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit toolchain-funcs
+
+DESCRIPTION="Documentation reference and man pages for lapack implementations"
+HOMEPAGE="http://www.netlib.org/lapack"
+SRC_URI="http://www.netlib.org/lapack/manpages.tgz
+ http://www.netlib.org/lapack/lapackqref.ps"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S=${WORKDIR}
+
+src_compile() {
+ $(tc-getCC) -o equivalence equivalence.c || "compiling equivalence failed"
+}
+
+src_install() {
+ dobin equivalence
+ # These belong to the blas-docs
+ rm -f man/manl/{lsame,xerbla}.*
+ # This one is empty
+ rm -f man/manl/zbcon.l
+ # rename because doman do not yet understand manl files
+ rename .l .n man/manl/*.l
+ doman man/manl/* || "doman failed"
+ dodoc README "${DISTDIR}"/lapackqref.ps || die "dodoc failed"
+}
diff --git a/app-doc/lapack-docs/metadata.xml b/app-doc/lapack-docs/metadata.xml
new file mode 100644
index 000000000..b229aec85
--- /dev/null
+++ b/app-doc/lapack-docs/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+</pkgmetadata>